Query the Pylote referential (accepted filter values)
curl --request POST \
--url https://client-p.pylote.io/referential \
--header 'Content-Type: application/json' \
--data '
{
"action": "list:all",
"field": "Seniority"
}
'import requests
url = "https://client-p.pylote.io/referential"
payload = {
"action": "list:all",
"field": "Seniority"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: 'list:all', field: 'Seniority'})
};
fetch('https://client-p.pylote.io/referential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Senior 6-10 ans",
"slug": "senior_6-10_ans"
}
]Referential
Query the Pylote referential (accepted filter values)
Public endpoint. Returns the accepted values for profile fields and for
the POST /partners/search filters.
Fields: Skills, Regions, Seniority, Professions, Languages,
RemoteWork, MissionDuration, DaysPerWeek.
Which item field to use in search filters: name for skills and
workAreas, slug for seniority.
POST
/
referential
Query the Pylote referential (accepted filter values)
⌘I